Net::GPSD3::Return::Unknown(3pm)

NAME
Net::GPSD3::Return::Unknown - Net::GPSD3 Return Base Class

SYNOPSIS
  use base qw{Net::GPSD3::Return::Unknown};

DESCRIPTION
Provides the base Perl object interface to all objects returned by the GPSD daemon. This class is also used if the class is unknown.

METHODS

  parent
Returns the parent Net::GPSD3 object

  class
Returns the class string for the particular JSON message. Classes in all upper case are from gpsd. Classes with initial capital letter are from this Perl package. Class in all lower case are currently reserved. Private extension classes should use camel case.

  string
This is the JSON string as passed over the TCP connection.

BUGS
Log on RT and Send to gpsd-dev email list

SUPPORT
DavisNetworks.com supports all Perl applications including this package.

Try gpsd-dev email list

AUTHOR
  Michael R. Davis
  CPAN ID: MRDVT
  STOP, LLC
  domain=>michaelrdavis,tld=>com,account=>perl
  http://www.stopllc.com/

COPYRIGHT
This program is free software licensed under the...

  The BSD License

The full text of the license can be found in the LICENSE file included with this module.

SEE ALSO
Net::GPSD3, Net::GPSD3::Base